﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace SwaggerStudy
{
    /// <summary>
    /// 接口返回基类
    /// </summary>
    public class ResultBase
    {
        /// <summary>
        /// 获取默认基类的静态方法
        /// </summary>
        public static ResultBase Default => new ResultBase() { Code = -1, Message = string.Empty };

        /// <summary>
        /// 编码
        /// </summary>
        public int Code { get; set; } = 0;

        /// <summary>
        /// 消息
        /// </summary>
        public string Message { get; set; } = string.Empty;

        /// <summary>
        /// 数据(动态类型)
        /// </summary>
        public dynamic Data { get; set; }
    }
}
